Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename babel-plugin-syntax-async-generators
%global enable_tests 1

Name:		nodejs-babel-plugin-syntax-async-generators
Version:	6.13.0
Release:	alt1_3
Summary:	Allow parsing of async generator functions

License:	MIT
URL:		https://github.com/babel/babel/tree/master/packages/babel-plugin-syntax-async-generators
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# license
Source1:	https://raw.githubusercontent.com/babel/babel/v%{version}/LICENSE


BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel

%if 0%{?enable_tests}
#BuildRequires:	
%endif
Source44: import.info

%description
Allow parsing of async generator functions


%prep
%setup -q -n package

cp -p %{SOURCE1} .

%build
# nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json lib/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
echo -e "\e[103m -=#=- This module has no tests -=#=- \e[0m"
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc *.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 6.13.0-alt1_3
- new version

